package com.cosmodas.EntCosmos;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "sub_clasifi_prod")
public class SubClasificacionProducto implements Serializable {

    @Id
    @Column(name = "subclasificacion_codigo")
    private String SubclasificacionCodigo;

    @Column(name = "clasificacion_codigo")
    private String clasificacionCodigo;

    @Column(name = "subclasificacion_nombre")
    private String SubclasificacionNombre;

    @Column(name = "subclasificacion_correlativo")
    private String SubclasificacionCorrelativo;

    @Column(name = "code1")
    private String code1;

    @Column(name = "subclasificacion_tope")
    private String SubclasificacionTope;

    public String getSubclasificacionCodigo() {
        return SubclasificacionCodigo;
    }

    public void setSubclasificacionCodigo(String subclasificacionCodigo) {
        SubclasificacionCodigo = subclasificacionCodigo;
    }

    public String getClasificacionCodigo() {
        return clasificacionCodigo;
    }

    public void setClasificacionCodigo(String clasificacionCodigo) {
        this.clasificacionCodigo = clasificacionCodigo;
    }

    public String getSubclasificacionNombre() {
        return SubclasificacionNombre;
    }

    public void setSubclasificacionNombre(String subclasificacionNombre) {
        SubclasificacionNombre = subclasificacionNombre;
    }

    public String getSubclasificacionCorrelativo() {
        return SubclasificacionCorrelativo;
    }

    public void setSubclasificacionCorrelativo(String subclasificacionCorrelativo) {
        SubclasificacionCorrelativo = subclasificacionCorrelativo;
    }

    public String getCode1() {
        return code1;
    }

    public void setCode1(String code1) {
        this.code1 = code1;
    }

    public String getSubclasificacionTope() {
        return SubclasificacionTope;
    }

    public void setSubclasificacionTope(String subclasificacionTope) {
        SubclasificacionTope = subclasificacionTope;
    }

    public SubClasificacionProducto(String subclasificacionCodigo, String clasificacionCodigo, String subclasificacionNombre, String subclasificacionCorrelativo, String code1, String subclasificacionTope) {
        SubclasificacionCodigo = subclasificacionCodigo;
        this.clasificacionCodigo = clasificacionCodigo;
        SubclasificacionNombre = subclasificacionNombre;
        SubclasificacionCorrelativo = subclasificacionCorrelativo;
        this.code1 = code1;
        SubclasificacionTope = subclasificacionTope;
    }

    public SubClasificacionProducto() {
    }
}
